# Instruments

## Instrument Object

An object corresponding to one instrument (aka Sub-Document)

#### Attributes

<table><thead><tr><th width="198.33333333333331">Name</th><th width="159">Type</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td>Integer</td><td>Unique id for this instrument</td></tr><tr><td>sourceReferenceId</td><td>Integer</td><td>Id of the file that contains the instrument</td></tr><tr><td>sourceName</td><td>String</td><td>Name of the file that contains the instrument</td></tr><tr><td>startPageNumber</td><td>Integer</td><td>Page where the instrument starts</td></tr><tr><td>endPageNumber</td><td>Integer</td><td>Page where the instrument ends</td></tr><tr><td>typeName</td><td>String</td><td>The instrument type (e.g. "Amendment")</td></tr><tr><td>canonicalTags</td><td><a href="/pages/ChNRBfs1yYB3MPtzchXd#canonical-tag-object">CanonicalTag</a>[]</td><td>Array of canonical tags associated with the Instrument</td></tr><tr><td>annotations</td><td><a href="/pages/-MR1mhs6Kumxrgzkeijp#annotation-object">Annotation</a>[]</td><td>Array of annotations that the instrument contains</td></tr><tr><td>reviewedBy</td><td>UserObject|null</td><td>User object consisting of id, email, and username for the person who last reviewed the instrument</td></tr><tr><td>reviewedAt</td><td>String</td><td>ISO DateTime object of the time which the instrument was last reviewed</td></tr></tbody></table>

```json
{
    'id': 402970, 
    'sourceReferenceId': 1921, 
    'sourceName': "Example_File.pdf", 
    'startPageNumber': 3, 
    'endPageNumber': 5, 
    'typeName': "Bill of Sale",
    'reviewedBy': null,
    'reviewedAt': null, 
    'canonicalTags': [
        {
            'tagType': "Instrument", 
            'typeName': "Airframe Inventory", 
            'domainEntityId': 39, 
            'annotationId': 402970, 
            'attributes': [
                {'name': "Make", 'value': "Beech"}, {'name': "Model", 'value': "C24R"}, {'name': "Serial Number", 'value': "MC-453"}
            ],
            'createdBy': {
                'id': 15,
                'email': "tester@gmail.com",
                'usernname': "tester"
            }
        }
    ], 
    'annotations': [
        {
            'annotationId': 403992,
            'sourceReferenceId': 1921, 
            'typeName': "Grantor", 
            'value': "Carsuo", 
            'pageNumber': 3, 
            'endPageNumber': null, 
            'offsets': [1321, 1326], 
            'textBounds': {'type': 'MultiPolygon', 'coordinates': [[[[0.565917551517487, 0.769474387168884], [0.609824299812317, 0.769511699676514], [0.609820425510406, 0.778583765029907], [0.565913617610931, 0.778546392917633], [0.565917551517487, 0.769474387168884]]]]}, 
            'imageBounds': null, 
            'createdBy': 5, 
            'updatedBy': null, 
            'confidence': 96.7900390625, 
            'score': 0.7074922025203705, 
            'layerId': 635, 
            'isReviewed': False, 
            'reviewedBy': null, 
            'reviewedAt': null, 
            'modelSourceId': 12, 
            'modelSource': "Party Name Extractor"
        }
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.annolab.ai/annotations-and-relations/instruments.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
